using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;
using UnityEngine.SceneManagement;

public class GCScript : MonoBehaviour {

	public static float pontos = 0.0f;
	public float tempoLvl = 10.0f;
	private float timeLvl;
	public static int contLvl = 1;
	private List<string> listaAcertos = new List<string> ();
	public static int cont;
	public Text txtPoints;

	void Awake(){
		cont = 0;
		timeLvl = tempoLvl;
	}

	void Start(){
		
	}

	void Update(){
		if (cont >= 3) {
			SceneManager.LoadScene ("level1");
			contLvl++;
		}
		if (timeLvl < 0) {
			Debug.Log ("Game Over");
			//SceneManager.LoadScene ("GameOver");
		}
		txtPoints.text = pontos.ToString ();
		timeLvl -= Time.deltaTime*contLvl/10;
	}
}
